{varType SkadminUtils\Seo\Doctrine\ASeoEntity $seo}

<div class="row" n:tag-if="$drawBox">

    <div class="col-12 mb-4" n:tag-if="$drawBox">
        <div class="card shadow" n:tag-if="$drawBox">
            <div class="card-body" n:tag-if="$drawBox">
                {form form class => ($isModal ? 'ajax')}
                    <div n:foreach="$form->errors as $error" class="alert alert-danger">{$error}</div>

                    {* base *}
                    <div class="row mb-4">
                        <div class="col-12">
                            <h5 class="text-primary font-weight-bold">{_'form.seo.title.base'}</h5>
                        </div>

                        <div class="col-12 col-lg-{$seo->isDefault() ? 3 : 8}">
                            {label title /}
                            <div class="form-group">
                                {input title class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-lg-2" n:if="$seo->isDefault()">
                            {label titleSeparator /}
                            <div class="form-group">
                                {input titleSeparator class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-lg-3" n:if="$seo->isDefault()">
                            {label titleWebsite /}
                            <div class="form-group">
                                {input titleWebsite class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-lg-4">
                            {label robots /}
                            <div class="form-group">
                                {input robots class => 'form-select'}
                            </div>
                        </div>
                    </div>

                    {* meta *}
                    <div class="row mb-4">
                        <div class="col-12">
                            <h5 class="text-primary font-weight-bold">{_'form.seo.title.meta'}</h5>
                        </div>

                        <div class="col-12 col-lg-6">
                            {label metaAuthor /}
                            <div class="form-group">
                                {input metaAuthor class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-lg-6">
                            {label metaKeywords /}
                            <div class="form-group">
                                {input metaKeywords class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12">
                            {label metaDescription /}
                            <div class="form-group">
                                {input metaDescription class => 'form-control'}
                            </div>
                        </div>
                    </div>

                    {* facebook *}
                    <div class="row mb-4">
                        <div class="col-12">
                            <h5 class="text-primary font-weight-bold">{_'form.seo.title.facebook'}</h5>
                        </div>

                        <div class="col-12 col-lg-6">
                            {label ogTitle /}
                            <div class="form-group">
                                {input ogTitle class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-lg-6">
                            {$form['ogImage']|formImage:$seo->getOgImage()}
                        </div>

                        <div class="col-12 col-lg-6">
                            {label ogSiteName /}
                            <div class="form-group">
                                {input ogSiteName class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-lg-6">
                            {label ogUrl /}
                            <div class="form-group">
                                {input ogUrl class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12">
                            {label ogDescription /}
                            <div class="form-group">
                                {input ogDescription class => 'form-control'}
                            </div>
                        </div>
                    </div>

                    {* twitter *}
                    <div class="row mb-4">
                        <div class="col-12">
                            <h5 class="text-primary font-weight-bold">{_'form.seo.title.twitter'}</h5>
                        </div>

                        <div class="col-12 col-lg-6 col-lg-5">
                            {label twitterTitle /}
                            <div class="form-group">
                                {input twitterTitle class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-lg-6 col-lg-2">
                            {label twitterCard /}
                            <div class="form-group">
                                {input twitterCard class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-lg-12 col-lg-5">
                            {label twitterSite /}
                            <div class="form-group">
                                {input twitterSite class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-lg-6">
                            {$form['twitterImage']|formImage:$seo->getTwitterImage()}
                        </div>

                        <div class="col-12 col-lg-6">
                            {label twitterImageAlt /}
                            <div class="form-group">
                                {input twitterImageAlt class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12">
                            {label twitterDescription /}
                            <div class="form-group">
                                {input twitterDescription class => 'form-control'}
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            {if $isModal}
                                {input send class => 'btn btn-primary w-100 w-md-auto mb-2'}
                                <button type="button" class="btn btn-light w-100 w-md-auto mb-2" data-bs-dismiss="modal">{_'form.seo.edit.back'}</button>
                            {else}
                                {input send class => 'btn btn-primary w-100 w-md-auto mb-2'}
                                {input sendBack class => 'btn btn-outline-primary w-100 w-md-auto mb-2'}
                                {input back class => 'btn btn-light w-100 w-md-auto mb-2'}
                            {/if}
                        </div>
                    </div>
                {/form}
            </div>
        </div>
    </div>

</div>